include:
  - gnuviechadmin.base
  - gnuviechadmin.celery

gvamysql-mysql-user:
  mysql_user.present:
    - name: {{ salt['pillar.get']('gnuviechadmin:mysql_admin_user', 'gvamysql') }}
    - host: '%'
    - password: {{ salt['grains.get_or_set_hash']('gnuviechadmin.db_admin_password', 16) }}

gvamysql-grants-all-dbs:
  mysql_grants.present:
    - grant: ALL PRIVILEGES
    - database: '*.*'
    - grant_option: True
    - user: {{ salt['pillar.get']('gnuviechadmin:mysql_admin_user', 'gvamysql') }}
    - password: {{ salt['grains.get_or_set_hash']('gnuviechadmin.db_admin_password', 16) }}
    - host: '%'
    - require:
      - mysql_user: gvamysql-mysql-user

gvamysql-packages:
  pkg.installed:
    - pkgs:
      - libmariadbd-dev
      - libmysqlclient-dev
    - require_in:
      - pkg: gnuviechadmin-packages
